CTFDUMP(1)

NAME
ctfdump - dump the SUNW_ctf section of an ELF file

SYNOPSIS
ctfdump [-dfhlsSt] -u file file

DESCRIPTION
The ctfdump utility dumps the contents of the CTF (Compact C Type Format) data section (SUNW_ctf) present in an ELF binary file. This section was previously created with ctfconvert(1) or ctfmerge(1).

The following options are available:

-d  Show the data object section.

-f  Show the function section.

-h  Show the header.

-l  Show the label section.

-s  Show the string table.

-S  Show statistics.

-t  Show the type section.

-u ufile
    Write the uncompressed CTF data to a raw CTF file called ufile.

EXIT STATUS

SEE ALSO
ctfconvert(1), ctfmerge(1), ctf(5)

HISTORY
The ctfdump utility first appeared in FreeBSD 7.0.

AUTHORS
The CTF utilities came from OpenSolaris.